function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(5)
    choiceDialog({
        {
            "kaileythalien_aqquatica_13",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_14",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        }
    })
    choiceDialog({  
        {
            "kaileythalien_aqquatica_15",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_16",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        }
    })
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end